## proteinortho 5.11%2Bdfsg

=== debian/changelog ===
proteinortho (5.11+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #804995)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Nov 2015 11:18:29 +0100
