## proteinortho 5.11+dfsg

=== Makefile ===

INSTALLDIR=/usr/local/bin

CPP      = g++
CPPFLAGS   = -Wall -O3

all: proteinortho5_clustering proteinortho5_clean_edges

proteinortho5_clustering: proteinortho5_clustering.cpp
	$(CPP) $(CPPFLAGS) -o $@ $<

proteinortho5_clean_edges: proteinortho5_clean_edges.cpp
	$(CPP) $(CPPFLAGS) -o $@ $<

install: proteinortho5.pl proteinortho5_clustering proteinortho5_clean_edges2.pl proteinortho5_singletons.pl ffadj_mcs.py
	install -v $^ $(INSTALLDIR)

test: proteinortho5.pl proteinortho5_clustering
	./proteinortho5.pl -project=test -synteny -singles test/*.faa
	@./chk_test.pl test.proteinortho
	@./chk_test.pl test.poff
	@echo "Test okay"
