=== debian/control ===
Source: proteinortho
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               ncbi-blast+
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/proteinortho.git
Vcs-Git: git://anonscm.debian.org/debian-med/proteinortho.git
Homepage: https://www.bioinf.uni-leipzig.de/Software/proteinortho/

Package: proteinortho
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ncbi-blast+,
         python
Description: Detection of (Co-)orthologs in large-scale protein analysis
 Proteinortho is a stand-alone tool that is geared towards large datasets
 and makes use of distributed computing techniques when run on multi-core
 hardware. It implements an extended version of the reciprocal best
 alignment heuristic. Proteinortho was applied to compute orthologous
 proteins in the complete set of all 717 eubacterial genomes available at
 NCBI at the beginning of 2009. Authors succeeded identifying thirty
 proteins present in 99% of all bacterial proteomes.
