=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
   http://www.bioinf.uni-leipzig.de/Software/proteinortho/ proteinortho_v([\d.]+)\.tar\.gz
