## proteinortho 5.13+dfsg

=== debian/changelog ===
proteinortho (5.13+dfsg-1) unstable; urgency=medium

  * New upstream version (all patches applied upstream)
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 04 May 2016 14:55:07 +0200

proteinortho (5.12+dfsg-1) unstable; urgency=medium

  * new upstream version
  * make better use of uscan options
  * cme fix dpkg-control
  * Fix C-Syntax
  * Apply fix from upstream to enable building the package
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Thu, 17 Mar 2016 20:40:53 +0100
