=== debian/changelog ===
proteinortho (5.15+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 29 Aug 2016 15:10:00 +0200
