=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                ncbi-blast+
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/proteinortho.git
-Vcs-Git: git://anonscm.debian.org/debian-med/proteinortho.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/proteinortho.git
 Homepage: https://www.bioinf.uni-leipzig.de/Software/proteinortho/
 
 Package: proteinortho
