## proteinortho 5.16%2Bdfsg

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   http://www.bioinf.uni-leipzig.de/Software/proteinortho/ proteinortho_v([\d.]+)\.tar\.gz
