## proteinortho 5.16+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 INSTALLDIR=/usr/local/bin
 
 CPP = g++
-CPPFLAGS += -Wall -O3 -Wno-unused-result
+CPPFLAGS += -Wall -O2 -std=gnu++11 -Wno-unused-result
 
 all: proteinortho5_clustering proteinortho5_tree
