=== debian/changelog ===
proteinortho (5.16+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Wed, 21 Feb 2018 08:35:47 +0100
