=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                ncbi-blast+
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/proteinortho.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/proteinortho.git
 Homepage: https://www.bioinf.uni-leipzig.de/Software/proteinortho/
