## proteinortho 5.16.b+dfsg

=== Makefile ===
--- 
+++ 
@@ -19,4 +19,5 @@
 	./proteinortho5.pl -project=test -synteny -singles test/*.faa
 	@./chk_test.pl test.proteinortho
 	@./chk_test.pl test.poff
+	rm test.*
 	@echo "Test okay"
