=== debian/changelog ===
proteinortho (5.16.b+dfsg-1) unstable; urgency=medium

  * d/watch: Also catch letters in version number
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 09:29:46 +0100

proteinortho (5.16+dfsg-2) unstable; urgency=medium

  * Fix Homepage
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 09:02:45 +0100
