=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                ncbi-blast+
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/proteinortho.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/proteinortho.git
-Homepage: https://www.bioinf.uni-leipzig.de/Software/proteinortho/
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/proteinortho
+Vcs-Git: https://salsa.debian.org/med-team/proteinortho.git
+Homepage: http://www.bioinf.uni-leipzig.de/Software/proteinortho/
 
 Package: proteinortho
 Architecture: any
