=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz,uversionmangle=s/([\d.]+)([a-z])/$1.$2/" \
   http://www.bioinf.uni-leipzig.de/Software/proteinortho/ proteinortho_v@ANY_VERSION@@ARCHIVE_EXT@
