=== dev/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

file(GLOB devproject_SRC
    "*.cpp"
)


find_package(OpenMP REQUIRED)
if (OPENMP_FOUND)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
else(OPENMP_FOUND)
  message("ERROR: OpenMP could not be found.")
endif()


set(CMAKE_CXX_FLAGS_RELEASE "-O3 -fopenmp -std=c++11")
set (CMAKE_CXX_STANDARD 11)

foreach(project ${devproject_SRC})
	get_filename_component(barename ${project} NAME_WE)
		add_executable(${barename} ${project})
	IF(${barename} MATCHES "test_getConnectivity")
		link_directories(${CMAKE_SOURCE_DIR}/../src/lapack/build/lib)
		target_link_libraries(${barename} lapack)
	ENDIF()
 	install(TARGETS ${barename}
        	RUNTIME DESTINATION ~/bin)
endforeach()
