=== debian/changelog ===
proteinortho (6.0.8+dfsg-1build1) eoan; urgency=medium

  * Rebuild against diamond-aligner amd64 only.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Oct 2019 14:44:15 +0200

proteinortho (6.0.8+dfsg-1) unstable; urgency=medium

  * New upstream version ported to Python3
  * debhelper-compat 12
  * Fix perl interpreter path

 -- Andreas Tille <tille@debian.org>  Wed, 25 Sep 2019 16:39:22 +0200

proteinortho (6.0.6+dfsg-1) unstable; urgency=medium

  [ Paul Klemm ]
  * New upstream version

  [ Andreas Tille ]
  * Fix watch file and Files-Excluded
  * debhelper 12
  * Standards-Version: 4.4.0
  * Build-Depends: s/liblapack3/liblapack-dev|libatlas-base-dev|liblapack.so/
  * Fix permissions
  * Provide unversioned Link to binary
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jul 2019 16:31:25 +0200
