=== debian/control ===
--- 
+++ 
@@ -3,19 +3,23 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               ncbi-blast+
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
+               ncbi-blast+,
+               liblapack-dev | libatlas-base-dev | liblapack.so,
+               diamond-aligner
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/proteinortho
 Vcs-Git: https://salsa.debian.org/med-team/proteinortho.git
-Homepage: http://www.bioinf.uni-leipzig.de/Software/proteinortho/
+Homepage: https://gitlab.com/paulklemm_PHD/proteinortho
 
 Package: proteinortho
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ncbi-blast+,
-         python
+         diamond-aligner,
+         liblapack3,
+         python3
 Description: Detection of (Co-)orthologs in large-scale protein analysis
  Proteinortho is a stand-alone tool that is geared towards large datasets
  and makes use of distributed computing techniques when run on multi-core
