## proteinortho 6.0.14%2Bdfsg

=== debian/changelog ===
proteinortho (6.0.14+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Install all binaries to /usr/bin/ upon the request of upstream.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 17 Feb 2020 14:29:14 +0100

proteinortho (6.0.13+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Steffen Moeller <moeller@debian.org>  Mon, 03 Feb 2020 00:24:13 +0100

proteinortho (6.0.12+dfsg-2) unstable; urgency=medium

  * Team upload.
  * patch: Use #!/usr/bin/python3 (fixes autopkgtests)
  * patch: Find the packaged version of the Diamond aligner in
    /usr/lib/debian-med/bin, which will help with backports
  * patch: Improve build hardening via CPPFLAGS & CFLAGS
  * Expanded autopkgtests, following `make test`
  * patch: fix a spelling typo

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 13 Jan 2020 13:12:59 +0100

proteinortho (6.0.12+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

 -- Steffen Moeller <moeller@debian.org>  Fri, 13 Dec 2019 00:17:49 +0100
