=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: debhelper-compat (= 12),
                ncbi-blast+,
                liblapack-dev | libatlas-base-dev | liblapack.so,
-               diamond-aligner
-Standards-Version: 4.4.0
+               diamond-aligner,
+               procps
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/proteinortho
 Vcs-Git: https://salsa.debian.org/med-team/proteinortho.git
 Homepage: https://gitlab.com/paulklemm_PHD/proteinortho
@@ -16,10 +17,12 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         ${perl:Depends},
+         python3,
          ncbi-blast+,
          diamond-aligner,
          liblapack3,
-         python3
+         procps
 Description: Detection of (Co-)orthologs in large-scale protein analysis
  Proteinortho is a stand-alone tool that is geared towards large datasets
  and makes use of distributed computing techniques when run on multi-core
