=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	dh $@
 
 override_dh_auto_install:
-	dh_auto_install --buildsystem=makefile -- install PREFIX=$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/proteinortho
+	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin
+	dh_auto_install -- install PREFIX=$(CURDIR)/debian/$(DEB_SOURCE)/usr/bin
 
 override_dh_fixperms:
 	dh_fixperms
