## proteinortho 6.0.16+dfsg

=== debian/changelog ===
proteinortho (6.0.16+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Python3 patch applied upstream, remove it

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Jun 2020 15:51:54 +0200

proteinortho (6.0.15+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 04 Apr 2020 10:05:46 +0200
