=== debian/changelog ===
proteinortho (6.0.28+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 01 Feb 2021 15:55:28 +0530

proteinortho (6.0.27+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 12 Jan 2021 19:47:35 +0530

proteinortho (6.0.25+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 06 Dec 2020 20:06:31 +0530

proteinortho (6.0.24+dfsg-2) unstable; urgency=medium

  * Fix baseline violation
    Closes: #974850
  * No tab in license text (routine-update)
  * Lintian override for script-with-language-extension

 -- Andreas Tille <tille@debian.org>  Sun, 15 Nov 2020 20:15:41 +0100

proteinortho (6.0.24+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.0.24+dfsg
  * Remove merged patches, refresh rest with new upstream release

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 21 Oct 2020 01:06:33 +0530

proteinortho (6.0.23+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Refresh patches.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 08 Oct 2020 16:12:20 +0200
