=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://gitlab.com/paulklemm_PHD/proteinortho/tags?sort=updated_desc .*/archive/.*/proteinortho-v@ANY_VERSION@\.tar\.gz
