## proteinortho 6.0.31+dfsg

=== debian/changelog ===
proteinortho (6.0.31+dfsg-1) unstable; urgency=medium

  * New upstream version 6.0.31+dfsg
  * Drop baseline.patch, march and mtune are
    not propagated by default now
  * Refresh d/p/deb_diamond

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 17:36:16 +0530
