## proteinortho 6.0.33%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: proteinortho
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                ncbi-blast+,
                liblapack-dev | libatlas-base-dev | liblapack.so,
-               diamond-aligner,
-               procps
-Standards-Version: 4.5.1
+               diamond-aligner (>= 2.0.10~),
+               procps,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/proteinortho
 Vcs-Git: https://salsa.debian.org/med-team/proteinortho.git
 Homepage: https://gitlab.com/paulklemm_PHD/proteinortho
@@ -21,7 +23,7 @@
          ${perl:Depends},
          python3,
          ncbi-blast+,
-         diamond-aligner,
+         diamond-aligner (>= 2.0.10~),
          liblapack3,
          procps
 Description: Detection of (Co-)orthologs in large-scale protein analysis
